.accordion-component .item {
    margin-bottom: 15px;
    border: 1px solid var(--faq-border-color-active);
    background: var(--faq-background-color-active);
    transition: all .2s linear;
}

.accordion-component .item.closed {
    border: 1px solid var(--faq-border-color);
    background: var(--faq-background-color);
}

.accordion-component .item.closed .title {
    color: var(--faq-title-color);
    transition: all .2s linear;
}

.accordion-component .item .title {
    font-family: "Noto Serif", serif;
    font-size: 18px;
    color: var(--faq-title-color-active);
    padding: 15px 40px 15px 20px;
    position: relative;
}

.accordion-component .item .title:before,
.accordion-component .item .title:after
 {
    content: '';
    display: block;
    width: 14px;
    height: 1px;
    display: block;
    border-radius: 3px;
    border: 1px solid var(--faq-title-color-active);
    position: absolute;
    right: 20px;
    top: 28px;
    transform: rotate(0);
}

.accordion-component .item.closed .title:before,
.accordion-component .item.closed .title:after {
    border-color: var(--faq-title-color);
    transform: rotate(0);
} 

.accordion-component .item.closed .title:after {
    transform: rotate(90deg);
}

.accordion-component .item .title:hover {
    cursor: pointer;
}

.accordion-component .item .text {
    max-height: 1600px;
}

.accordion-component .item .text .text-inner {
    color: var(--faq-text-color-active);
    padding: 0px 20px 20px;
    transition: all .2s linear;
}

.accordion-component .item.closed .text {
    max-height: 0;
    overflow: hidden;
    transition: max-height .3s linear;
}

/* On primary */

.section--primary .accordion-component .item {
    border: 1px solid var(--faq-border-color-active-on-primary);
    background: var(--faq-background-color-active-on-primary);
}

.section--primary .accordion-component .item.closed {
    border: 1px solid var(--faq-border-color-on-primary);
    background: var(--faq-background-color-on-primary);
}

.section--primary .accordion-component .item .title {
    color: var(--faq-title-color-active-on-primary);
}
.section--primary .accordion-component .item.closed .title {
    color: var(--faq-title-color-on-primary);
}

.section--primary .accordion-component .item .text .text-inner {
    color: var(--faq-text-color-on-primary);
}

.section--primary .accordion-component .item .title:before,
.section--primary .accordion-component .item .title:after {
    border: 1px solid var(--faq-title-color-active-on-primary);
}

.section--primary .accordion-component .item.closed .title:before,
.section--primary .accordion-component .item.closed .title:after {
    border-color: var(--faq-title-color-on-primary);
}


/* On secondary */

.section--secondary .accordion-component .item {
    border: 1px solid var(--faq-border-color-active-on-secondary);
    background: var(--faq-background-color-active-on-secondary);
}

.section--secondary .accordion-component .item.closed {
    border: 1px solid var(--faq-border-color-on-secondary);
    background: var(--faq-background-color-on-secondary);
}

.section--secondary .accordion-component .item .title {
    color: var(--faq-title-color-active-on-secondary);
}
.section--secondary .accordion-component .item.closed .title {
    color: var(--faq-title-color-on-secondary);
}

.section--secondary .accordion-component .item .text .text-inner {
    color: var(--faq-text-color-on-secondary);
}

.section--secondary .accordion-component .item .title:before,
.section--secondary .accordion-component .item .title:after {
    border: 1px solid var(--faq-title-color-active-on-secondary);
}

.section--secondary .accordion-component .item.closed .title:before,
.section--secondary .accordion-component .item.closed .title:after {
    border-color: var(--faq-title-color-on-secondary);
}

/* On third */

.section--third .accordion-component .item {
    border: 1px solid var(--faq-border-color-active-on-third);
    background: var(--faq-background-color-active-on-third);
}

.section--third .accordion-component .item.closed {
    border: 1px solid var(--faq-border-color-on-third);
    background: var(--faq-background-color-on-third);
}

.section--third .accordion-component .item .title {
    color: var(--faq-title-color-active-on-third);
}
.section--third .accordion-component .item.closed .title {
    color: var(--faq-title-color-on-third);
}

.section--third .accordion-component .item .text .text-inner {
    color: var(--faq-text-color-on-third);
}

.section--third .accordion-component .item .title:before,
.section--third .accordion-component .item .title:after {
    border: 1px solid var(--faq-title-color-active-on-third);
}

.section--third .accordion-component .item.closed .title:before,
.section--third .accordion-component .item.closed .title:after {
    border-color: var(--faq-title-color-on-third);
}


@media (max-width: 767px) {
    .accordion-component .item {
        margin-bottom: 20px;
    }
}